Chapter 3, Legal Forms

SECTION 3-1 INTRODUCTION


The base package of the BBS LEGAL GUIDE provides numerous legal 
forms for use by:

BBS sysops, both on "pay" and "hobby-not for profit" systems;
BBS message networks;
Developers of software or purchasers of custom software;
and other persons in the BBS community.

These forms are, if at all possible, written in a "plain 
language" style, that is, with as few "legalisms" and little 
abstruse prose as possible. However, all of the forms, within the 
limitations set forth in this manual, are legally binding and 
valid in all 50 states.

The forms exhibit some judgment based on personal experience and 
what the authors of this program consider to be prevalent or 
preferable BBS practice. As practices change, or new practices 
evolve, more forms or variations of existing forms will be added.

However, much of the value in this service is that users obtain a 
subscription to monthly updates. Monthly updates are "driven" in 
part by a schedule of planned enhancements and additions, but, 
they are also responsive to comments from registered users and 
potential registered users. Over time, it is our goal to offer 
several variants of each form, with different levels of 
complexity and different philosophies. Users are cordially 
invited via our support BBS systems, GENIE, fax, or voice to make 
requests for new forms, or, alternate versions of existing forms.

FORMS UNDER DEVELOPMENT:

Custom software writing contract, license basis, under $ 20,000
Custom software writing contract, license basis, over $ 20,000
Request for proposal, software development
Complete employee manual, 9-25 employees
Complete employee manual, over 25 employees
Employee agreement- option to purchase shares in business
Complete by laws and shareholder's agreements for corporation's 
operating BBs systems
Venture capital investment in BBS
Joint venture between BBS and other firm
California specific OSHA manual
Non-profit BBS file distribution network rules
User agreement with nonprofit BBS system
Complete IRS not for profit educational or other foundation 
charter and bylaws, for not for profit BBS
BBS co-sysops manual

(These updates are depending on the level of registration 
obtained in encrypted form from support BBS systems or are mailed 
to registered users. The updates are released monthly on the last 
day of each month, with the first update scheduled for April, 
1993.

Thus, over time, the library of forms will greatly expand and 
offer more choices.

The forms may also double as BBS screens when appropriate. Please 
note that registration is mandatory before screens or contracts 
may be used.

We recommend that if you are in need of a form that you prepare 
the form with different choices, and, 

SECTION 3-2 EMPLOYEE/PERSONNEL FORMS

If a BBS has even one employee, labor law problems crop up. Most 
"labor law" problems revolve around a failure to specify ground 
rules. For example, can someone be fired for dressing in a 
clearly inappropriate fashion? In some states, the answer is no, 
unless that is made a condition of employment. In many cases, 
insurance companies do not insure companies who don't have an 
employee manual. We provide a general draft of a manual.

Section 3-2 (A) Complete employee manual, 9 or fewer employees

This form is suitable for a small BBS in which all employees 
report to one person. All major issues are covered in this 
manual, including work rules, pay, benefits and 
intellectual/privacy concerns. Users may desire to alter policies 
or add others one. After completion of the form, use the built in 
word processor to do so. Each employee should be given a copy of 
the manual, and, each employee should sign a receipt (provided) 
for their copy.

Section 3-2 (B) Potential employee, release for background check

Many businesses now have a firm rule that they do not release 
information concerning ex-employees except for their dates of 
employment and job titles. This has occurred because persons who 
left employment have sought legal redress for real or imagined 
libels or misrepresentations. This form may be given to 
prospective employees, and used to attempt to get an evaluation 
from prior employees.

The data required are simply the names of the parties and their 
addresses.

SECTION 3-3, BBS AND ITS USERS

BBS systems tread in waters full of legal liability. Many systems 
want to distribute GIF's, or want to eliminate or control flames. 
Virtually all BBS systems offer file transfers. These activities 
all carry risks. It is suggested that written applications be 
taken for access to GIF areas which may contain "adult" material.

Many BBS systems discourage flames, or, try to keep "flames" 
under control by confining flaming to a "rubber room" or flame 
area." However, if you do allow flames, things can get ugly. 
Therefore, a recommended form for access to the flame areas is 
provided.

As noted in one of the tutorials, file transfers may result in 
liability. We provide forms that are usable as bulletins which 
either point out that viruses are not checked for, or if Ziplab, 
or other similar virus scanning programs, that these programs are 
not fool proof.

Section 3-3(a) Application/release for GIF (adult) sub-board

This form provides verification of the persons status as an adult 
and requires their assent to a release and indemnity. Note that 
since the Uniform Criminal Code provides that even "obscene" 
programs may be distributed among persons, noncommercially 
without violation of the law, strict limits on commercial use of 
files are included in the form.

This form may either be used as a template for printing such 
forms, or can be produced when needed.

Section 3-3(b) Application to enter flame area

Some systems simply bar "flaming." Others permit users to blow of 
steam in "rubber rooms" or "flame conferences." However, by their 
nature, discussions in such areas often go to extremes. When 
persons get their feelings hurt, libel suits often follow. This 
form insulates the BBS by limiting the flame area to those who 
agree not to sue the BBS or each other over flames. It also 
requires that flames not be further distributed (thus 
discouraging flames from spreading all over the place).

Section 3-3(c) Virus non-liability

This form serves the dual function of advising the user that the 
board posts uploads without testing, and requiring the user to 
assume the risk of testing. This form is suitable for use as a 
BBS screen or bulletin.

Section 3-3(d) Virus, checks made, non-liability

This form notifies the user that virus scans, or other steps are 
taken to attempt to prevent the posting of infected programs. The 
form additionally requires the user to assume liability for 
examining files, since no upload scan protocol provides total 
security.

Section 3-3(e) Disclaimer of warranty on files

As noted elsewhere, on pay systems, and probably even on free 
ones, the UCC might (or does) interpret transfer of files as 
sales. That status then automatically attaches warranties 
including copyright non-infringement, conforming to the 
description of the files and merchantability. This form alert 
users that the system does not check that programs operate as 
described by the uploader, and disclaims all other warranties.

SECTION 3-4 SOFTWARE/INTELLECTUAL PROPERTY FORMS:

BBS software developers often distribute beat code; BBS systems 
sometimes have confidential data that they need to share with 
third parties. Special legal and contractual issues arise from 
intellectual property. and this program contains several 
different forms on this area of the law.

Section 3-4(a) Non-disclosure agreements, unilateral and bi 
lateral

These forms are generic non-disclosure forms and are based in 
part on the Uniform Trade Secrets Act. The information required 
to prepare these forms includes the parties and a description of 
the technology. Generally, these descriptions should be tailored 
carefully to match the technology or business information which 
is being disclosed.

Section 3-4(b) Custom software contract, buy out

This form is for a sponsoring agency to commission the writing of 
computer software and to obtain total rights, including source 
code and the right to sell the program or source code without 
further payment.

The information required are the names of the parties, the 
language, operating system and target compiler. Options are 
provided for non-competition agreements, target or firm delivery 
dates, and payment means.

Section 3-4(c) Beta test agreement: public and private

Often BBS systems agree to act as beta test site for new versions 
of their BBS software. Developers of programs have a need for 
both public betas, that is a beta test in which the program, like 
a BBS is used by the public, and private betas, where there are 
significant restrictions (or prohibitions) on the disclosure of 
the beta. Betas created special legal problems. The code, after 
all, is not yet tested. Persons participating in a beta may 
expect a problem or two, but as anyone who has written computer 
code knows, a "minor change" can cause a hard drive to be 
overwritten. Therefore, the beta test agreements both warn and 
disclaim liability.

Section 3-4(d) Joint author's agreement

The copyright code provides that joint authors may individually 
deal with the joint work, with the only obligation being to 
account for profits with the co-author. This agreement imposes a 
structure on the co-authors relationship. It requires unanimity 
between the parties as to sales of rights, and limits the reuse 
of the copyright material.

Section 3-4(e) Government license transfer clause

If a program is sold to the federal government, the restrictions 
contained in a "shrinkwrap license" or other license related to 
the program does not bind the federal government, period. Either 
a custom agreement must be reached, or, alternatively if the 
program is an "off the shelf" item, provided that the program 
contains a copyright notice, the government will agree to a 
limited license. This license is consistent with most ordinary 
shrinkwrap licenses. (The full text of the regulation is 
available from the statutes menu.) Therefore, most commercial 
software should contain this disclaimer.

Section 3-4(f) Software maintenance agreements)

Consultants, vars or si's often agree to maintain third parties 
programs for their customers. This agreement governs the 
maintenance agreements. It provides for alternatives, such as 
providing for training to be included in the contract, and, also 
for different payment options.

A second form is for maintenance on a product where the party 
performing the service was also the developer of the program. 
Normally such issues are part of the original sale or license 
agreement. However, from time to time, customers use programs 
beyond what one would consider a useful life of the program. 
Therefore, this form can be used for service agreements after the 
original service is completed.

Section 3-5 EQUIPMENT/FINANCING FORMS

BBS systems may prefer leasing equipment to outright purchase. 
And, like most businesses, from time to time money may be 
borrowed, whether long term or short term, secured or unsecured. 
Various financing related forms are contained in this section.

Section 3-5(a) Commercial Equipment Lease

This form prepares a typical commercial equipment lease. Options 
are included for "leases with option to purchase" and other 
options, such as allocation of insurance costs, etc.

Section 3-5(b) Prommisory note

A promissory note is an UNCONDITIONAL promise to pay money. Keep 
the key word unconditional in mind when executing one. In 
addition, most promissory notes provide for negotiability. (The 
note which we provide is negotiable.) This form will prepare 
unsecured notes, either as a demand note, installment note or 
date certain note. In addition guarantors can also be added.

        
The following information is required:
        
names of borrowers and lenders, principal amount borrowed, the 
full address of the place where payments are due, the rate of 
interest on the note EXPRESSED as simple interest. The note may 
either be due on demand (demand notes by convention are due in 
one year), in installments, or all in one lump sum on a date 
certain. If the note is guaranteed by third parties, please 
indicate so.

IMPORTANT NOTE: Promissory notes are signed by the borrower- the 
lenders signature is unnecessary (and bad form) except on the 
back of it as an endorsement if the note is negotiated to others.

This form is called many different things by different folks. 
Some refer to it as a "conditional sale" in which the condition 
is you get to keep the property if you pay a debt that you agreed 
to pay to acquire the property. Sometimes it is called a "Chattel 
Mortgage"; in some cases it is known as "Lease." All of these 
instruments are really security agreements. In simple words a 
security agreement is a LIEN on property.

LIMITATIONS: Security agreements are used for tangible assets, 
contract rights and intangibles. They are NOT appropriate for 
securities, cash or real estate. With securities a pledge and 
physical possession of the securities is appropriate. With cash, 
physical possession is required and with real estate mortgages 
are required (trust deeds in some states.) SPECIAL WARNING: 
Unless you have physical possession of the collateral certain 
filings are required to perfect the lien. If you don't file, your 
lien will be invalid against other creditors.

This selection on the menu prepares three different types of 
security agreements. The first is a standard security agreement 
in which a party puts up his property for a loan or for a 
purchase. In this form, the debtor agrees to make good any 
deficiency (that is if the property is repossessed and does not 
bring enough in to pay off the debt, they're on the hook for the 
difference.) There are some further variations: whether the 
security is provided for a single debt or for all debts (this 
latter set is called a cross collateralization clause.)
        
In addition, this selection on the menu can produce a 
hypothecation. (See on line dictionary for explanation).
        
The following information is required:
        
names of each party; a specific explanation of the property 
secured, either general or specific-- thus you can have a lien on 
a specific fork-lift, or on the accounts receivable of a 
business;
        
if the security agreement secures a specific debt, the date of 
the debt and the original principal amount;
        
if the security agreement is a hypothecation, then the person for 
whom the debt is secured must be identified, together with that 
debt-- the date of the debt and the original amount;
        
in all security agreements-- are there other liens on the 
property? (first lien vs. junior lien) and if so, the amount of 
the liens and the identify of the creditor;
        
will this security agreement secure all other debts between the 
parties?

Section 3-6 BBS AS A BUSINESS ENTITY:

This section provides general partnership, sales of a BBS, or 
transfer of some or all BBS accounts from one BBS to another.

Section 3-6(a) General partnership agreement

This form includes some of the additional clauses which are 
required in a larger partnership. It gets harder and harder to 
write "generically adaptable" forms when larger sums are 
involved. However, this form covers the major bases. Here is the 
information required:

State and county where the partnership was formed, the business 
to be engaged in; the starting date of the partnership; address 
of the principal office of the partnership; the capital 
contributed by the partners; the time period between accountings; 
an option is provided for draws; the maximum dollar authority of 
each partner; and an option is provided for the regular affairs 
of the partnership to be managed by a committee.

Section 3-6(b) Transfer of accounts between BBS systems

This form provides a framework for the transition of accounts 
between BBS systems. It is a broadly configurable agreement. For 
example, the transfer can be at no charge, or with the 
originating and receiving entities paying. Options are also 
provided for accounts receivable to be transferred, and for 
particular agreements to be assumed by the new system.

Section 3-6(c) Vendor--insert card agreement

If you've purchased a commercial software program (or some 
shareware programs) offers probably fallen out to join on-line 
services. This contract is usable by a BBS system to enter into 
an agreement with the providers of software to advertise their 
BBS systems through product "fall out" agreements. Numerous 
options are provided for payment, fulfillment and term.

Section 3-6(d) Sales representative for BBS

Many BBS systems are running to capacity or almost capacity 
during weekends and evenings, but remain idle during the day. 
Numerous BBS systems act as data distribution points for 
compensation. Availability of service implies the need for 
salesmen. This agreement provides for exclusive, non-exclusive, 
mixed territory and product line agreements for independent 
contractor/manufacturer's representatives. 

Section 3-6(e) Advertising purchase for BBS

Many BBS systems offer free classified ads. However, others 
charge certain customers for classified ads. This is an insertion 
order agreement for advertising, providing limitations on 
liability, and like newspaper ads, requires that the user read 
their ad at the first insertion and complain then or forever hold 
their peace.

Section 3-6(f) Non compete agreement

WARNING: Many state laws, particularly that of California, 
severely limit non-competition agreements. This is a generic form 
of non-compete agreement, and is related to the termination of a 
business agreement.

Section 3-6(g) Sub-board, promotional consideration

Many fine BBS systems allow software and hardware developers to 
use their BBS systems for customer service. This is usually 
accomplished by setting up a sub-board or forum. This agreement 
provides for such an arrangement, in exchange for the developer 
advertising the BBS. It also limits the BBS system's liability 
and allows for termination of the agreement.

Section 3-6(h) Sub-board, paid

Similar to section 3-6(g) this form redefines the relationship 
between the parties, provides a standard of service to be met, 
and limits the liability of the system to an abatement.

Section 3-7 NOT FOR PROFIT BBS

Non-profit BBS systems are in a unique system. The BBS offers a 
public service, yet it is a labor of love. However, the law does 
not give allowances for this fact. Accordingly, it is the 
responsibility of the not for profit BBS to limit its liability.

Section 3-7(a) Constitution for computer club with BBS

This document is a framework for a computer club with BBS system, 
and is based on governance of the club by elected boards.

Section 3-7(b) Joint operation of non-profit BBs

Friend often merge resources to run a BBS. However, an orderly 
framework should be added if there is ever a split between the 
parties.

Section 3-8 BBS MESSAGE AND FILE NETWORK

BBS message and file networks usually try to be user friendly. 
However, some sort of framework is needed to provide a civilized 
network, and to deal with the 1/2 of 1 % of users who end up 
trash canned or in the joker.dat file. During preparation of this 
form the user is provided with many options for rules regarding 
all aspects of file networks.

